Package org.apache.lucene.analysis.synonym.word2vec

# Class Word2VecSynonymFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class Word2VecSynonymFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Factory for `Word2VecSynonymFilter`.

WARNING: This API is experimental and might change in incompatible ways in the next release.
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "Word2VecSynonym"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_MAX_SYNONYMS_PER_TERM`
`static final float`
`DEFAULT_MIN_ACCEPTED_SIMILARITY`
`static final String`
`NAME`
SPI name

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`Word2VecSynonymFilterFactory()`
Default ctor for compatibility with SPI
`Word2VecSynonymFilterFactory(Map<String,String> args)`

## Method Summary

Modifier and Type
Method
Description
`TokenStream`
`create(TokenStream input)`
`void`
`inform(ResourceLoader loader)`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

### DEFAULT_MAX_SYNONYMS_PER_TERM

public static final int DEFAULT_MAX_SYNONYMS_PER_TERM

See Also:
  - Constant Field Values

### DEFAULT_MIN_ACCEPTED_SIMILARITY

public static final float DEFAULT_MIN_ACCEPTED_SIMILARITY

See Also:
  - Constant Field Values

## Constructor Details

### Word2VecSynonymFilterFactory

public Word2VecSynonymFilterFactory(Map<String,String> args)

### Word2VecSynonymFilterFactory

public Word2VecSynonymFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### create

public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`

### inform

public void inform(ResourceLoader loader) throws IOException

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`